# pandas.DataFrame.idxmin

`DataFrame.``idxmin`(axis=0, skipna=True)

  Return index of first occurrence of minimum over requested axis. NA/null values are excluded.

  Parameters:

  axis : {0 or ‘index’, 1 or ‘columns’}, default 0

  > 0 or ‘index’ for row-wise, 1 or ‘columns’ for column-wise

  skipna : boolean, default True

  > Exclude NA/null values. If an entire row/column is NA, the result will be NA.

  Returns: | idxmin : Series

  Raises:

  ValueError

  > - If the row/column is empty

  See also

  `Series.idxmin`

  Notes

  This method is the DataFrame version of `ndarray.argmin`.

Scroll To Top